Subject: Re: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Michael Albinus <[email-masked]>
Date: Tue, 03 Nov 2015 18:20:53 +0100

Michael Albinus <[email-masked]> writes:

Hi Ken,

> With the same settings, for me it fails for
>
> file-notify-test02-events
> file-notify-test04-file-validity
>
> With local gfilenotify, there is a problem to get the `stopped' event
> once a watched file or directory has been deleted. Notably, it works for
> the remote gvfs-monitor-dir, which shall behave similar.
>
> I will try to fix these cases first, because I could reproduce them
> locally. Let's see how it behaves afterwards.

I've fixed this with commit 436ed2399ade5c41b8ed3cffe177fb5210eff574.
Could you, please, check, whether it improves your tests?

>> Ken

Best regards, Michael.